Skip to main content
GET
/
v1
/
rules
List rules
curl --request GET \
  --url https://api.example.com/v1/rules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "trigger_event": "<string>",
      "status": "<string>",
      "priority": 123,
      "stop_after_match": true,
      "conditions": {},
      "actions": [
        "<unknown>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

trigger_event
string | null
status
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

data
RuleResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required